package com.biganto.visual.roompark.domain.use_case

import com.biganto.visual.roompark.domain.contract.DealContract
import com.biganto.visual.roompark.domain.contract.FlatPlanContract
import javax.inject.Inject

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */

class  EstateUseCase @Inject constructor(
    private val contract: DealContract,
    private val planContract: FlatPlanContract
) {

    fun fetchFavorites() = contract.getFavorites()

    fun getEstate(estateId: Int) = contract.getEstate(estateId)

    fun fetchEstate(building:Int, number:Int) =
        contract.fetchEstate(building, number)

    fun getEstatePlanPresets(estateId: Int) =
        planContract.getPlanTypes(estateId)


    fun getPlan(
        estateId: Int
        , planId: Int
        , furniture: Boolean?
        , sizes: Boolean?
        , walls: Boolean?
        , electric: Boolean?
    ) = planContract.getPlan(
        estateId
        , planId
        , furniture
        , sizes
        , walls
        , electric
    )

}